Bug 998207 - Running grub2-install triggers a kernel crash
Running grub2-install triggers a kernel crash
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: bochs (Show other bugs)
19
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lalancette
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 05:45 EDT by Bart Van Assche
Modified: 2015-02-17 11:48 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:48:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bart Van Assche 2013-08-18 05:45:29 EDT
Description of problem: Running grub2-install triggers a kernel crash


Version-Release number of selected component (if applicable): kernel-3.10.7-200.fc19.i686


How reproducible: 100%


Steps to Reproduce:
1. Run grub2-mkconfig as root

Actual results:
[  212.266893] xor: automatically using best checksumming function:
[  212.267032] invalid opcode: 0000 [#1] SMP 
[  212.267036] Modules linked in: xor(+) ufs hfsplus hfs minix vfat msdos fat jfs xfs libcrc32c reiserfs rfcomm bnep bluetooth rfkill snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm i2c_piix4 joydev i2c_core crc32_pclmul crc32c_intel microcode snd_pa
ge_alloc snd_timer snd soundcore virtio_balloon uinput virtio_blk virtio_net
[  212.267051] CPU: 0 PID: 1597 Comm: modprobe Not tainted 3.10.7-200.fc19.i686 #1
[  212.267052] Hardware name: Bochs Bochs, BIOS Bochs 01/01/2007
[  212.267054] task: ee62ac60 ti: e8610000 task.ti: e8610000
[  212.267055] EIP: 0060:[<f7ec7b78>] EFLAGS: 00010202 CPU: 0
[  212.267058] EIP is at xor_avx_2+0x38/0x1e0 [xor]
[  212.267059] EAX: 00000007 EBX: e85f8000 ECX: ee62ac60 EDX: e8610000
[  212.267063] ESI: e85fb000 EDI: 00000008 EBP: e8611de4 ESP: e8611dd8
[  212.267067]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
[  212.267068] CR0: 80050033 CR2: 4b181e50 CR3: 2e651000 CR4: 000007d0
[  212.267072] DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
[  212.267075] DR6: ffff0ff0 DR7: 00000400
[  212.267076] Stack:
[  212.267076]  fffea94b 00000000 f7eca070 e8611e18 f7dfd05e e85f8000 e85fb000 f7eca100
[  212.267083]  e8611e18 00000005 00000000 e85fb000 e85f8000 e85f8000 f7eca070 f7eca100
[  212.267086]  e8611e38 f7dfd114 f7ec93ec 000285c9 e8611e44 00000000 00000000 f7dfd0b0
[  212.267091] Call Trace:
[  212.267096]  [<f7dfd05e>] do_xor_speed+0x5e/0xb0 [xor]
[  212.267098]  [<f7dfd114>] calibrate_xor_blocks+0x64/0xf50 [xor]
[  212.267100]  [<f7dfd0b0>] ? do_xor_speed+0xb0/0xb0 [xor]
[  212.267114]  [<c04001b2>] do_one_initcall+0xb2/0x170
[  212.267120]  [<c0431977>] ? set_memory_ro+0x37/0x40
[  212.267131]  [<c0965507>] ? set_section_ro_nx+0x54/0x59
[  212.267136]  [<c04995aa>] load_module+0x1c2a/0x2330
[  212.267139]  [<c0499e15>] SyS_finit_module+0x75/0xc0
[  212.267146]  [<c050d47b>] ? vm_mmap_pgoff+0x7b/0xa0
[  212.267155]  [<c09746cd>] sysenter_do_call+0x12/0x28
[  212.267156] Code: 89 d3 89 ce e8 3a 1b 54 c8 c1 ef 09 84 c0 0f 84 92 01 00 00 e8 ea 1b 54 c8 85 ff 8d 47 ff 0f 84 78 01 00 00 8d b4 26 00 00 00 00 <c5> fd 6f 06 c5 fc 57 03 c5 fd 7f 03 c5 fd 6f 4e 20 c5 f4 57 4b
[  212.267176] EIP: [<f7ec7b78>] xor_avx_2+0x38/0x1e0 [xor] SS:ESP 0068:e8611dd8
[  212.267181] ---[ end trace 5d381c98ffbcde16 ]---


Expected results: grub2-mkconfig produces a usable grub.cfg file


Additional info: (none)
Comment 1 Bart Van Assche 2013-08-18 05:49:05 EDT
# cat /etc/fstab

#
# /etc/fstab
# Created by anaconda on Sun Nov 18 08:22:19 2012
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
UUID=6f6c7714-9c68-4388-911c-4411ee058f29 / ext4 defaults 1 1
Comment 2 Radim Krčmář 2013-08-19 10:15:26 EDT
Likely scenario is:
 - cpu says avx is present
 - avx instruction triggers invalid opcode
I suspect the Bochs emulator, could you provide its version and configuration?

("noxsave" kernel parameter is a workaround.)
Comment 3 Bart Van Assche 2013-08-19 10:49:25 EDT
This did indeed happen inside a virtual machine. Is this the host information you are looking for ?

Kernel: 3.10.6 (from kernel.org).
$ rpm -qa | grep -i qemu
qemu-tools-1.1.2-3.13.1.x86_64
Comment 4 Fedora End Of Life 2015-01-09 14:29:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:48:51 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.